Package org.jboss.modules

# Class PackageSpec

java.lang.Object
org.jboss.modules.PackageSpec

public final class PackageSpec extends Object
A specification for a package to define.

Author:
  David M. Lloyd

## Constructor Summary

Constructors
Constructor
Description
`PackageSpec()`

## Method Summary

Modifier and Type
Method
Description
`AssertionSetting`
`getAssertionSetting()`
Get the package assertion setting.
`String`
`getImplTitle()`
Get the implementation title.
`String`
`getImplVendor()`
Get the implementation vendor.
`String`
`getImplVersion()`
Get the implementation version.
`URL`
`getSealBase()`
Get the URL against which this package is sealed.
`String`
`getSpecTitle()`
Get the package specification title.
`String`
`getSpecVendor()`
Set the package specification vendor.
`String`
`getSpecVersion()`
Get the package specification version.
`PackageSpec`
`setAssertionSetting(AssertionSetting assertionSetting)`
Set the package assertion setting.
`void`
`setAssertionSetting$$bridge(AssertionSetting assertionSetting)`
`PackageSpec`
`setImplTitle(String implTitle)`
Set the implementation title.
`void`
`setImplTitle$$bridge(String implTitle)`
`PackageSpec`
`setImplVendor(String implVendor)`
Set the implementation vendor.
`void`
`setImplVendor$$bridge(String implVendor)`
`PackageSpec`
`setImplVersion(String implVersion)`
Set the implementation version.
`void`
`setImplVersion$$bridge(String implVersion)`
`void`
`setSealBase(URL sealBase)`
Set the URL against which this package is sealed.
`PackageSpec`
`setSpecTitle(String specTitle)`
Set the package specification title.
`void`
`setSpecTitle$$bridge(String specTitle)`
`PackageSpec`
`setSpecVendor(String specVendor)`
Set the package specification vendor.
`void`
`setSpecVendor$$bridge(String specVendor)`
`PackageSpec`
`setSpecVersion(String specVersion)`
Set the package specification version.
`void`
`setSpecVersion$$bridge(String specVersion)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PackageSpec

public PackageSpec()

## Method Details

### getSpecTitle

public String getSpecTitle()
Get the package specification title.

Returns:
  the specification title
See Also:
  - `Attributes.Name.SPECIFICATION_TITLE`

### setSpecTitle

public PackageSpec setSpecTitle(String specTitle)
Set the package specification title.

Parameters:
  `specTitle` - the specification title
See Also:
  - `Attributes.Name.SPECIFICATION_TITLE`

### setSpecTitle$$bridge

public void setSpecTitle$$bridge(String specTitle)

### getSpecVersion

public String getSpecVersion()
Get the package specification version.

Returns:
  the specification version
See Also:
  - `Attributes.Name.SPECIFICATION_VERSION`

### setSpecVersion

public PackageSpec setSpecVersion(String specVersion)
Set the package specification version.

Parameters:
  `specVersion` - the specification version
See Also:
  - `Attributes.Name.SPECIFICATION_VERSION`

### setSpecVersion$$bridge

public void setSpecVersion$$bridge(String specVersion)

### getSpecVendor

public String getSpecVendor()
Set the package specification vendor.

Returns:
  the specification vendor
See Also:
  - `Attributes.Name.SPECIFICATION_VENDOR`

### setSpecVendor

public PackageSpec setSpecVendor(String specVendor)
Set the package specification vendor.

Parameters:
  `specVendor` - the specification vendor
See Also:
  - `Attributes.Name.SPECIFICATION_VENDOR`

### setSpecVendor$$bridge

public void setSpecVendor$$bridge(String specVendor)

### getImplTitle

public String getImplTitle()
Get the implementation title.

Returns:
  the implementation title
See Also:
  - `Attributes.Name.IMPLEMENTATION_TITLE`

### setImplTitle

public PackageSpec setImplTitle(String implTitle)
Set the implementation title.

Parameters:
  `implTitle` - the implementation title
See Also:
  - `Attributes.Name.IMPLEMENTATION_TITLE`

### setImplTitle$$bridge

public void setImplTitle$$bridge(String implTitle)

### getImplVersion

public String getImplVersion()
Get the implementation version.

Returns:
  the implementation version
See Also:
  - `Attributes.Name.IMPLEMENTATION_VERSION`

### setImplVersion

public PackageSpec setImplVersion(String implVersion)
Set the implementation version.

Parameters:
  `implVersion` - the implementation version
See Also:
  - `Attributes.Name.IMPLEMENTATION_VENDOR`

### setImplVersion$$bridge

public void setImplVersion$$bridge(String implVersion)

### getImplVendor

public String getImplVendor()
Get the implementation vendor.

Returns:
  the implementation vendor
See Also:
  - `Attributes.Name.IMPLEMENTATION_VENDOR`

### setImplVendor

public PackageSpec setImplVendor(String implVendor)
Set the implementation vendor.

Parameters:
  `implVendor` - the implementation vendor
See Also:
  - `Attributes.Name.IMPLEMENTATION_VENDOR`

### setImplVendor$$bridge

public void setImplVendor$$bridge(String implVendor)

### getSealBase

public URL getSealBase()
Get the URL against which this package is sealed.

Returns:
  the seal base URL
See Also:
  - `Attributes.Name.SEALED`

### setSealBase

public void setSealBase(URL sealBase)
Set the URL against which this package is sealed.

Parameters:
  `sealBase` - the seal base URL
See Also:
  - `Attributes.Name.SEALED`

### getAssertionSetting

public AssertionSetting getAssertionSetting()
Get the package assertion setting.

Returns:
  the package assertion setting

### setAssertionSetting

public PackageSpec setAssertionSetting(AssertionSetting assertionSetting)
Set the package assertion setting.

Parameters:
  `assertionSetting` - the package assertion setting

### setAssertionSetting$$bridge

public void setAssertionSetting$$bridge(AssertionSetting assertionSetting)